import * as cdk from 'aws-cdk-lib';
import { aws_s3 as s3, aws_lambda, aws_secretsmanager as secretsmanager, aws_kms as kms } from 'aws-cdk-lib';
import * as constructs from 'constructs';
export interface PythonApiIngestToS3Props {
    readonly codeSource: string;
    readonly handler: string;
    readonly ingestBucket: s3.Bucket;
    readonly secrets?: (secretsmanager.Secret | secretsmanager.ISecret)[] | undefined;
    readonly kms?: kms.Key[];
    readonly architecture?: aws_lambda.Architecture | undefined;
    readonly runtime?: aws_lambda.Runtime | undefined;
    readonly envVars?: {
        [key: string]: string;
    } | undefined;
    readonly timeOut?: cdk.Duration | undefined;
    readonly memorySize?: number | undefined;
    readonly retryAttempts?: number | undefined;
    readonly deadLetterQueueEnabled?: boolean | undefined;
}
export declare class PythonApiIngestToS3 extends constructs.Construct {
    function: aws_lambda.Function;
    constructor(scope: constructs.Construct, id: string, props: PythonApiIngestToS3Props);
}
